Note: This website is archived. For up-to-date information about D projects and development, please visit wiki.dlang.org.

Ticket #12 (closed defect: fixed)

Opened 11 years ago

Last modified 9 years ago

[PATCH] Build should be possible by using just make

Reported by: llucax Assigned to: sean
Priority: minor Milestone:
Component: component1 Version:
Keywords: make, build, patch Cc:

Description

It would be much more natural if druntime could be built by just calling make.

Attached is a patch that makes this possible.

Attachments

working-make.patch (1.3 kB) - added by llucax on 11/26/08 02:22:23.

Change History

11/26/08 02:22:23 changed by llucax

  • attachment working-make.patch added.

11/26/08 02:22:58 changed by llucax

  • keywords changed from make, build to make, build, patch.
  • summary changed from Build should be possible by using just make to [PATCH] Build should be possible by using just make.

01/05/09 21:01:50 changed by sean

  • owner changed from somebody to sean.
  • status changed from new to assigned.

Can global environment variables be set and cleared within a makefile? I think this is what had prevented me from doing this in the past.

08/06/10 17:15:53 changed by sean

  • status changed from assigned to closed.
  • resolution set to fixed.